icon

Sygic GPS Navigation for iOS

Free app with option to subscribe to Premium+

Compatibility and Requirements

Sygic GPS navigation for iOS requires you to have a compatible Apple iOS device.

Requires iOS 12 or later. Compatible with iPhone, iPad, and iPod Touch (6th generation). This app is optimized for iPhone 5s, iPhone 6, iPhone 6 Plus, 6S, 6S Plus, and iPhone 7/7 Plus/8/8 Plus and iPhone X/XS/XS Max and XR, and latest iPhone 11, 11 Pro and 11 Pro Max, iPhone 12, iPhone 12 mini, iPhone 12 Pro Max, iPhone 12 Pro.
For iOS 9, 10 or 11, the last available Sygic version is 18.8.4 released in December 2020.

Please note: Wi-Fi only iPads do not have a GPS receiver built in. Sygic GPS Navigation requires GPS functionality. In this case, it is necessary to have an external Bluetooth GPS receiver paired with your iPad.

Didn't you find a solution or answer?

Submit a request

Back to the section overview

How to download and install Sygic GPS Navigation for free?

Are you happy with Sygic GPS Navigation?

Share it please

Submit a request

If you did not find the answer to your question in our FAQ, user guide or video guides section, please contact us by filling in the details below. Our support staff will contact you back via email within 48 hours. Thank you.